<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Styling Properties and Position</title>
	<link rel="stylesheet" type="text/css" href="./index.css">
</head>

<body>
	<h2>CSS Common Styling</h2>

	<!-- attribue div is by default in block line -->
	<!-- attribute span uses inline by default -->
	<div id="div-1">This is a div</div>
	<span id="span-1">This is a span</span>

	<!-- attribute image has display inline-block by default -->
	<img src="https://place-puppy.com/450x450" id="img">
	<span id="span-2">This is another span</span>
	<div id="div-2">This is another div</div>

	<h3>Notes in block, inline and inline-block</h3>
	<p id="p-1">Block takes up the whole width</p>
	<p id="p-2">Width 60</p>
	<p id="p-3">Width 40</p>
	<p>Even if there is enough space, block elements do not sit next to each other unless if they are floated.</p>

	<p>Inline Elements are things like bold and italics. You cannot control the heigh and width of these elements.</p>

	<p>Inline-Block sit on the same line and combines block and inline properties.</p>

	<div class="sample"> width = 30</div>
	<div class="sample"> width = 30</div>
	<div class="sample"> width = 30</div>
	<hr>

	<h3>Float</h3>
	<p>The float property is use for positioning and formatting content. e.g. let an image float left to the text in a container</p>

	<p>
		<img src="https://place-puppy.com/450x450" class="img-float">
		<!-- Type Lorem*8 for short -->
		Lorem ipsum dolor sit, amet consectetur adipisicing elit. Explicabo magni ipsum odio hic doloremque praesentium impedit iure reiciendis iusto dignissimos natus corrupti aspernatur nulla ea esse unde vel, ipsam rerum!

	</p>
	<hr>
	<h3>CSS Units</h3>

	<h4>px VS %</h4>
	<div class="box">
		<div class="fifty-percent">50%</div>
		<div class="hundred-percent">100%</div>
	</div>

	<div class="parent">
		<div class=" box fifty-percent">50%</div>
		<div class="box hundred-pixels">100px</div>
	</div>
	<hr>

	<section class="background">
		<div class="container-bg">
			<h3 class="bg-title">CSS Background Properties</h3>
		</div>
	</section>
	<hr>

	
	<div class="parent-element">
		Parent Element
		<div class="child1">
			I am child number 1.
		</div>
		<div class="child2">
			I am child number 2.
		</div>
		<div class="child3">
			I am child number 2.
		</div>
	</div>
	<hr>

	<h2>Z-index Examples</h2>
	<p>An element with greated stack order is always above an element with a lower stack.</p>
	<div class="container">
		<div class="black-box">z index 1</div>
		<div class="gray-box">z index 2</div>
	</div>

</body>
</html>